Bug 1282986 - fail2ban-firewalld action files firewallcmd-mulitport, firewallcmd-allports have iptables-blocktype dependency
fail2ban-firewalld action files firewallcmd-mulitport, firewallcmd-allports h...
Status: POST
Product: Fedora EPEL
Classification: Fedora
Component: fail2ban (Show other bugs)
epel7
All Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
https://github.com/fail2ban/fail2ban/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 19:11 EST by shadowym
Modified: 2016-06-07 16:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shadowym 2015-11-17 19:11:11 EST
Description of problem:
firewallcmd-multiport.conf and firewallcmd-allports.conf have a:

before = iptables-blocktype.conf

statement.  However there is no iptables-blocktype.conf file include in any of the fail2ban RPM's.  This statement should be changed to iptables-common.conf which already has the necessary blocktype statement. Alternatively an iptables-blocktype.conf file should be included.

I am using this one.
https://github.com/breauxaj/puppet-fail2ban/blob/master/files/original/rhel/action.d/iptables-blocktype.conf
Comment 1 shadowym 2015-11-17 19:14:44 EST
I am running the latest stable version from EPEL v7 as of right now.  So v0.9.3-1
Comment 2 Mike McCune 2016-03-28 19:15:27 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.